Issue #5026 has been reported by Yui NARUSE.

----------------------------------------
Bug #5026: 1.9.3 allows URI(uri, parser)
http://redmine.ruby-lang.org/issues/5026

Author: Yui NARUSE
Status: Assigned
Priority: Normal
Assignee: Marc-Andre Lafortune
Category: 
Target version: 1.9.3
ruby -v: ruby 1.9.4dev (2011-07-12 trunk 32529) [x86_64-freebsd8.2]


r28699 introduces a new API: the second argument of URI(uri [, parser]).
But I object this because such parser argument should be obsolete.


-- 
http://redmine.ruby-lang.org